package com.shr.serivce;

import com.shr.common.response.RestResponse;
import com.shr.transfer.position.*;

/**
 * @author Inori
 */
public interface IPositionService {

    /**
     * 岗位列表
     *
     * @param inVo 条件
     * @return 列表
     */
    PositionListOutVo positionList(PositionListInVo inVo);

    /**
     * 职位列表
     *
     * @param inVo 条件
     * @return 列表
     */
    PositionJobListOutVo positionJobList(PositionJobListInVo inVo);

    /**
     * 岗位录入或编辑
     *
     * @param inVo 数据
     * @return 返回结果
     */
    RestResponse positionAddOrUpdate(PositionInVo inVo);


}
